Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common.tools
Class BitBucketOutputStream

    java.lang.Object
      java.io.OutputStream
          things.common.tools.BitBucketOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class BitBucketOutputStream

extends java.io.OutputStream

A oneway trip to Nowheresville. Nothing is actually written anywhere by this output stream.

Version:
  1.0

  Version History

      EPG - Initial - 20 JUL 06

Author:
  Erich P. Gatejen
See Also:
  `

  `

Constructor Summary
`BitBucketOutputStream()`

Method Summary
`void` | `close()` Close.
`void` | `write(byte[] b)` Writes b.length bytes from the specified byte array to this output stream.
`void` | `write(byte[] b, int off, int len)` Writes len bytes from the specified byte array starting at offset off to this output stream.
`void` | `write(int b)` Writes the specified byte to this output stream.

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BitBucketOutputStream

    public BitBucketOutputStream()

Method Detail

### write

    public void write(byte[] b)
               throws java.io.IOException

  Writes b.length bytes from the specified byte array to this output stream.

  Overrides:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the data.
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Writes len bytes from the specified byte array starting at offset off to this output stream.

  Overrides:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the data.
    `off` - the start offset in the data.
    `len` - the number of bytes to write.
  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Writes the specified byte to this output stream.

  Specified by:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the byte.
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Close. It's a NOOP.

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.